# Gimp.Procedure.persistent_ready

    @accepts(Gimp.Procedure)
    @returns(none)
    def persistent_ready(self):
        # Python wrapper for gimp_procedure_persistent_ready()

Notify the main GIMP application that the persistent procedure has been properly initialized and is ready to run.

This function _must_ be called from every procedure's [callback@RunFunc] that was created as [enum@Gimp.PDBProcType.PERSISTENT].

Subsequently, extensions can process temporary procedure run requests using either [method@PlugIn.persistent_enable] or [method@PlugIn.persistent_process].

See also: [ctor@Procedure.new].

Since 3.0

self

  A Gimp.Procedure